std::_Reference_wrapper_base_impl< _Unary, _Binary, _Tp > Struct Template Reference
Inheritance diagram for std::_Reference_wrapper_base_impl< _Unary, _Binary, _Tp >:
[legend]

## Detailed Description

### template<bool _Unary, bool _Binary, typename _Tp>
struct std::_Reference_wrapper_base_impl< _Unary, _Binary, _Tp >

Knowing which of unary_function and binary_function _Tp derives from, derives from the same and ensures that reference_wrapper will have a weak result type. See cases below.

Definition at line 269 of file functional.

The documentation for this struct was generated from the following file:

- functional